#ifndef _LCD_H_
#define _LCD_H_



/******************************************************************************
* Include files
******************************************************************************/


/******************************************************************************
* Types
******************************************************************************/


/******************************************************************************
* Constants
******************************************************************************/


/******************************************************************************
* Macros
******************************************************************************/
#define TRUE 1
#define FALSE 0
#define INCREMENT 1
#define DECREMENT 0
#define SHIFT 1
#define NOT_SHIFT 0
#define DISP_SHIFT 1
#define NOT_DISP_SHIFT 0
#define ON 1
#define OFF 0
#define D8_BIT 1
#define D4_BIT 0
#define TWO_LINE 1
#define ONE_LINE 0
#define FONT5X10 1
#define FONT5X8 0

#define LCD_mask  0xFF

/******************************************************************************
* Global Function Declarations
******************************************************************************/

void lcd_clrdisplay(void);
void lcd_rethome(void);
void lcd_modeset(uint8_t incordec, uint8_t shiftornotshift);
void lcd_displayonof(uint8_t disponof, uint8_t cursoronof, uint8_t blinksonof);
void lcd_shift(uint8_t incdec, uint8_t displshift, uint8_t hanyszor);
uint8_t lcdreir(char stri[]);
void lcdinit(void);
void lcd_set_address(uint8_t address);

#endif
